<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
<title>Checkbox e radio button personalizzati</title>
<style type="text/css">
body {
 font-family: Helvetica, Arial, sans-serif;
 font-size: 16px; 
}
#container {
 padding: 20px;
 margin: 0 auto;
 width: 600px;
 background: #fff;
}

p:not(#foo) > input[type='checkbox'], /* Nasconde checkbox e radio button */
p:not(#foo) > input[type='radio'] {
 position: absolute;
 clip: rect(1px, 1px, 1px, 1px);
}

p:not(#foo) > input[type='checkbox'] + label, /* Stili per le label */
p:not(#foo) > input[type='radio'] + label {
 cursor: pointer; /* Imposta il cursore per le label */
 padding: 0 0 0 15px; /* Padding a sinistra per rendere il controllo cliccabile */
 margin: 0 0 0 5px; /* Margine a destra per posizionare al meglio il controllo */
 position: relative; /* Creiamo un contesto di posizionamento per il contenuto generato */
}

p:not(#foo) > input[type='checkbox'] + label:before { /* Contenuto generato per le label associate ai checkbox */
 content: ""; 
 width: 15px; 
 height: 15px;
 border: solid 1px #222;
 background: #00FF00;/*era #fff*/
 cursor: pointer;
 position: absolute; /* Posizioniamo il contenuto generato rispetto alla label */
 top: -1px; /* Spostamento verticale */
 left: -5px; /* Spostamento orizzontale */
}

p:not(#foo) > input[type='checkbox']:checked + label:after { /* Segno di spunta dei checkbox e suo colore */
 content: "\2714";
 display: block; /* Display: block per centrare il segno di spunta orizzontalmente */
 position: absolute; /* Posizioniamo il segno di spunta rispetto alla label */
 top: 1px;
 left: 0;
 margin: 0 auto; /* Centriamo orizzontalmente il segno di spunta */
 color: #222; /* Colore del segno di spunta */
 font-size: 11px; /* Dimensione del carattere */
}

p:not(#foo) > input[type='radio'] + label:before { /* Contenuto generato per le label associate ai radio button */
 content: "";
 width: 15px; 
 height: 15px; 
 border: solid 1px #222;
 -webkit-border-radius: 7.5px; 
 border-radius: 7.5px; /* Border-radius: 7px = metÃ  di larghezza e altezza */
 background: #FF0000;/*era #fff*/
 cursor: pointer;
 position: absolute; /* Posizioniamo il contenuto generato rispetto alla label */
 top: -1px; /* Spostamento verticale */
 left: -5px; /* Spostamento orizzontale */
}

p:not(#foo) > input[type='radio']:checked + label:after { /* Segno di spunta dei radio button e suo colore */
 content: "";
 display: block; /* Display: block per centrare il segno di spunta orizzontalmente */
 width: 8px; /* Creiamo un cerchio piÃ¹ piccolo */
 height: 8px; /* Anche in altezza */
 -webkit-border-radius: 4px; 
 border-radius: 4px; 
 position: absolute;
 top: 3px;
 left: 0;
 margin: 0 auto;
 background-color: #222; /* Colore di sfondo */
}
</style>
</head>
<body>
<div id="container">
<form action="">
<h2>Checkbox</h2>
<p>
<input type="checkbox" id="html" value="HTML">
<label for="html">HTML</label>
</p>
<p>
<input type="checkbox" id="css" value="CSS">
<label for="css">CSS</label>
</p>
<p>
<input type="checkbox" id="javascript" value="Javascript">
<label for="javascript">Javascript</label>
</p>
<h2>Radio button</h2>
<p>
<input type="radio" id="java" name="linguaggi" value="Java">
<label for="java">Java</label>
</p>
<p>
<input type="radio" id="php" name="linguaggi" value="PHP">
<label for="php">PHP</label>
</p>
<p>
<input type="radio" id="xml" name="linguaggi" value="XML">
<label for="xml">XML</label>
</p>
</form>
</div>
</body>
</html>